Bug 481790 - SubjectAltNameExtDefault: Handling Of Non-UUID OtherName Is Broken
SubjectAltNameExtDefault: Handling Of Non-UUID OtherName Is Broken
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Profile (Show other bugs)
1.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Christina Fu
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-01-27 11:43 EST by Roman Kisilenko
Modified: 2015-01-05 20:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bugfix patch (918 bytes, patch)
2009-01-27 11:43 EST, Roman Kisilenko
no flags Details | Diff
Workaround for 1.0.0 version (3.75 KB, application/octet-stream)
2009-01-27 11:50 EST, Roman Kisilenko
no flags Details
fix for the OtherName (8.30 KB, text/plain)
2009-02-26 19:01 EST, Christina Fu
no flags Details

  None (edit)
Description Roman Kisilenko 2009-01-27 11:43:37 EST
Created attachment 330110 [details]
Bugfix patch

Description of problem:
SubjectAltNameExtDefault does not process OtherName extension type correctly if UUID generation is not used.

Version-Release number of selected component (if applicable): 1.0.0

How reproducible: Always

Steps to Reproduce:
1. Create a profile with subject alternative name extension of OtherName type using SubjectAltNameExtDefault impl without using UUID generation feature. E.g. specify (KerberosName)realm|1|test in pattern.
2. Create certificate request and try generating certificate.
  
Actual results:
Certificate will not contain SAN extension. 
Following can be found in debug logs:
SubjectAltNameExtDefault: createExtension - unsupported server-generated type: . Supported: UUID4

Expected results:
Certificate should contain properly generated SAN extension.

Additional info:
See patch and workaround submitted
Comment 1 Roman Kisilenko 2009-01-27 11:50:02 EST
Created attachment 330111 [details]
Workaround for 1.0.0 version

In order to use the workaround place it into /var/lib/pki-ca/webapps/ca/WEB-INF/classes/com/netscape/cms/profile/def and re-define subjectAltNameExtDefaultImpl profile plugin using com.netscape.cms.profile.def.SubjectAltNameExtDefaultFixed class instead of com.netscape.cms.profile.def.SubjectAltNameExtDefault.
Comment 2 Christina Fu 2009-02-26 19:01:56 EST
Created attachment 333410 [details]
fix for the OtherName

also took the opportunity to remove/replace the ugly tabs that I introduced from the past.

awnuk please review.
Comment 3 Andrew Wnuk 2009-02-26 19:16:46 EST
attachment (id=333410) +awnuk
Comment 4 Christina Fu 2009-02-26 19:23:10 EST
$ svn commit SubjectAltNameExtDefault.java
Sending        SubjectAltNameExtDefault.java
Transmitting file data .
Committed revision 256.

Note You need to log in before you can comment on or make changes to this bug.